Skip to content
Start here

List all risk score integrations for the account.

zero_trust.risk_scoring.integrations.list(IntegrationListParams**kwargs) -> SyncSinglePage[IntegrationListResponse]
GET/accounts/{account_id}/zt_risk_scoring/integrations

Lists all configured Zero Trust risk score integrations for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust ReadZero Trust Write
ParametersExpand Collapse
account_id: str
ReturnsExpand Collapse
class IntegrationListResponse:
id: str

The id of the integration, a UUIDv4.

formatuuid
account_tag: str

The Cloudflare account tag.

active: bool

Whether this integration is enabled and should export changes in risk score.

created_at: datetime

When the integration was created in RFC3339 format.

formatdate-time
integration_type: Literal["Okta"]
reference_id: str

A reference ID defined by the client. Should be set to the Access-Okta IDP integration ID. Useful when the risk-score integration needs to be associated with a secondary asset and recalled using that ID.

tenant_url: str

The base URL for the tenant. E.g. “https://tenant.okta.com”.

well_known_url: str

The URL for the Shared Signals Framework configuration, e.g. “/.well-known/sse-configuration/{integration_uuid}/”. https://openid.net/specs/openid-sse-framework-1_0.html#rfc.section.6.2.1.

List all risk score integrations for the account.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.risk_scoring.integrations.list(
    account_id="account_id",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "account_tag": "account_tag",
      "active": true,
      "created_at": "2019-12-27T18:11:19.117Z",
      "integration_type": "Okta",
      "reference_id": "reference_id",
      "tenant_url": "tenant_url",
      "well_known_url": "well_known_url"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "account_tag": "account_tag",
      "active": true,
      "created_at": "2019-12-27T18:11:19.117Z",
      "integration_type": "Okta",
      "reference_id": "reference_id",
      "tenant_url": "tenant_url",
      "well_known_url": "well_known_url"
    }
  ]
}